use strict;
use warnings;
use ExtUtils::MakeMaker;
use Alien::Build::MM;

if ( -e '.gitignore' ) {
    system('podselect lib/Alien/Libevent.pm > README.pod');
}

if ( $^O eq 'MSWin32' ) {
    print STDERR "Win32 is currently not supported";
    exit(0);
}

my %WriteMakefileArgs = (
  "ABSTRACT" => "Find or build libevent",
  "AUTHOR" => "Thibault Duponchelle <thibault.duponchelle\@gmail.com>",
  "VERSION_FROM" => "lib/Alien/Libevent.pm",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.52",
  },
  "PREREQ_PM" => {
    "Alien::Base" => "0.038",
  },
  "DISTNAME" => "Alien-Libevent",
  "LICENSE" => "perl",
  "NAME" => "Alien::Libevent",
  "PREREQ_PM" => {
    "Alien::Base" => "0.038"
  },
  META_MERGE => {
        resources => {
            license     => 'http://dev.perl.org/licenses/',
            homepage    => 'https://metacpan.org/release/Alien-Libevent',
            bugtracker  => 'https://github.com/thibaultduponchelle/Alien-Libevent/issues',
            repository  => 'https://github.com/thibaultduponchelle/Alien-Libevent.git',
            IRC         => 'irc://irc.perl.org/#native'
        },
    },
);

my $abmm = Alien::Build::MM->new;
%WriteMakefileArgs = $abmm->mm_args(%WriteMakefileArgs);

WriteMakefile(%WriteMakefileArgs);

sub MY::postamble {
  $abmm->mm_postamble;
}
